#
# uxyz2.rb
#   $Id: uxyz2.rb,v 1.2 2000/11/18 19:03:51 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::grfrm

DCL::grswnd(1.0e0, 1.0e5, 1.0e3, 1.0e0)
DCL::grsvpt(0.2, 0.8, 0.2, 0.8)
DCL::grstrn(4)
DCL::grstrf

DCL::ulxlog('B', 1, 9)
DCL::ulxlog('T', 1, 9)
DCL::uxsttl('B', '[X]', 1.0)

DCL::ulylog('L', 3, 9)
DCL::ulylog('R', 3, 9)
DCL::uysttl('L', '[Y]', 1.0)

DCL::uxmttl('T', 'ULXLOG/ULYLOG', 0.0)

DCL::grcls

